libao documentation | libao version 0.8.5 - 20040312

# ao_close

declared in "ao/ao.h";

Closes the audio device and frees the memory allocated by the device structure.

    int ao_close(ao_device *device);

### Parameters

device
  Pointer to device structure as returned by ao_open_live() or ao_open_file()

### Return Values

> - 1 indicates remaining data written correctly and device closed.
> - 0 indicates an error while the device was being closed. If this device was writing to a file, the file may be corrupted.

copyright © 2001-2003 Stan Seibert | xiph.org volsung@xiph.org
libao documentation | libao version 0.8.5 - 20040312